import { Component, OnInit } from '@angular/core';
import * as Parse from "parse"
(Parse as any).serverURL = "https://web2023.fmode.cn/parse"
Parse.initialize("dev")

@Component({
  selector: 'app-test',
  templateUrl: './test.component.html',
  styleUrls: ['./test.component.scss'],
})
export class TestComponent implements OnInit {
  parseData: Parse.Object[] = []; // 初始化parseData为空数组

  constructor() {}

  ngOnInit() {
    this.fetchParseData();
  }

  fetchParseData() {
    const query = new Parse.Query('art'); // 替换为你自己的类名
    query.find().then((results) => {
      this.parseData = results;
    });
  }
}

